Package org.drinkless.tdlib

# Class TdApi.VideoMessageAdvertisements

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.VideoMessageAdvertisements

Enclosing class:
  `TdApi`

public static class TdApi.VideoMessageAdvertisements extends TdApi.Object
Contains a list of advertisements to be shown while a video from a message is watched.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.VideoMessageAdvertisement[]`
  `advertisements`
  List of advertisements.
  `int`
  `betweenDelay`
  Delay between consecutive advertisements, in seconds.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `startDelay`
  Delay before the first advertisement is shown, in seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VideoMessageAdvertisements()`
  Contains a list of advertisements to be shown while a video from a message is watched.
  `VideoMessageAdvertisements(TdApi.VideoMessageAdvertisement[] advertisements, int startDelay, int betweenDelay)`
  Contains a list of advertisements to be shown while a video from a message is watched.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### advertisements

    public TdApi.VideoMessageAdvertisement[] advertisements
    List of advertisements.

  - ### startDelay

    public int startDelay
    Delay before the first advertisement is shown, in seconds.

  - ### betweenDelay

    public int betweenDelay
    Delay between consecutive advertisements, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VideoMessageAdvertisements

    public VideoMessageAdvertisements()
    Contains a list of advertisements to be shown while a video from a message is watched.

  - ### VideoMessageAdvertisements

    public VideoMessageAdvertisements(TdApi.VideoMessageAdvertisement[] advertisements, int startDelay, int betweenDelay)
    Contains a list of advertisements to be shown while a video from a message is watched.
    Parameters:
      `advertisements` - List of advertisements.
      `startDelay` - Delay before the first advertisement is shown, in seconds.
      `betweenDelay` - Delay between consecutive advertisements, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR